#!@l_bash@

#   take given hostname
if [ $# -lt 2 ]; then
    echo "gotty-ssh: ERROR: invalid number of argumnts" 1>&2
    exit 1
fi
hostname="$1"; shift
address="$1";  shift

#   loop forever on the terminal
while true; do
    #   show the usual banner
    clear
    echo ""
    echo "$hostname (GoTTY/SSH)"
    echo ""

    #   provide authentication prompts
    read -p "Login: " -e login
    if [ ".$login" = . ]; then
        sleep 2
        continue
    fi

    #   login to host
    ssh -q \
        -t \
        -o "UserKnownHostsFile /dev/null" \
        -o "CheckHostIP no" \
        -o "StrictHostKeyChecking no" \
        -l "$login" \
        $address \
        "$@"
done

